Package com.independentsoft.office.word.footnoteEndnote

# Class EndnoteReference

java.lang.Object
com.independentsoft.office.word.footnoteEndnote.EndnoteReference

All Implemented Interfaces:
  `IContentElement`, `IRunContent`

public class EndnoteReference extends Object implements IRunContent
The Class EndnoteReference.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EndnoteReference()`
  Instantiates a new endnote reference.
  `EndnoteReference​(long id)`
  Instantiates a new endnote reference.
  `EndnoteReference​(InternalXMLStreamReader reader)`
  Instantiates a new endnote reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndnoteReference`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `long`
  `getID()`
  Gets the id.
  `ExtendedBoolean`
  `getSuppressReferenceMark()`
  Gets the suppress reference mark.
  `void`
  `setID​(long id)`
  Sets the id.
  `void`
  `setSuppressReferenceMark​(ExtendedBoolean suppressReferenceMark)`
  Sets the suppress reference mark.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EndnoteReference

    public EndnoteReference()
    Instantiates a new endnote reference.

  - ### EndnoteReference

    public EndnoteReference​(long id)
    Instantiates a new endnote reference.
    Parameters:
      `id` - the id

  - ### EndnoteReference

    public EndnoteReference​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new endnote reference.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public EndnoteReference clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IRunContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getID

    public long getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(long id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getSuppressReferenceMark

    public ExtendedBoolean getSuppressReferenceMark()
    Gets the suppress reference mark.
    Returns:
      the suppress reference mark

  - ### setSuppressReferenceMark

    public void setSuppressReferenceMark​(ExtendedBoolean suppressReferenceMark)
    Sets the suppress reference mark.
    Parameters:
      `suppressReferenceMark` - the new suppress reference mark